Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 13:11
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
Precise Puppy RC2, October 20, 2012
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 59 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 57, 58, 59 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 27 Mar 2012, 01:13    Post_subject:  

CONFIG_HID_LOGITECH_DJ=m -----------> CONFIG_HID_LOGITECH_DJ=y

In kernel hid section. That is needed with 3.2.X kernel. Proved to work with new logitech usb receiver. It is changed behavior and the logitech usb receiver does not work oob without compiling the module in, not as module. The fix has been verified with Exprimo and Saluki kernel.

# CONFIG_IWLWIFI is not set
Previously iwlagn is now iwlwifi, it needs to be enabled and to have corresponding firmwares to be installed. I can provide my firmware package later, if there is need for them
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 27 Mar 2012, 12:35    Post_subject:  

make menuconfig > main menu > networking support > bluetooth subsystem support:

# FIR device drivers
#
CONFIG_BT=m
# CONFIG_BT_L2CAP is not set -------> enable
# CONFIG_BT_SCO is not set ---------> enable
and all the subsequent options also which will pop up when you enable these:

CONFIG_BT_L2CAP=y
CONFIG_BT_SCO=y
CONFIG_BT_RFCOMM=m
CONFIG_BT_RFCOMM_TTY=y
CONFIG_BT_BNEP=m
CONFIG_BT_BNEP_MC_FILTER=y
CONFIG_BT_BNEP_PROTO_FILTER=y
CONFIG_BT_HIDP=m

You have bluetooth as module but not the communications modules.
Quote:
BTL2CAP is a protocol that sits directly ontop of BTHCI_ACL and which prodives signalling and sessions between applications on two Bluetooth devices.

Quote:

The btsco driver provides support for Bluetooth SCO Audio devices through the audio driver.

Quote:
The RFCOMM protocol supports up to 60 simultaneous connections between two BT devices.

etc....
You have enabled the a lot bluetooth modules, you need protocols which handles the communications.

I think bluetooth support would be good for precise pangolin.

Edited_time_total
Back to top
View user's profile Send_private_message 
mories

Joined: 21 Dec 2009
Posts: 39

PostPosted: Tue 27 Mar 2012, 14:02    Post_subject: Missing module and lib's  

Missing module iwlagn for Intel Wireless.

Missing libLLVM needed for mesa-dri modules, what are included.

Missing liblzma needed for squasfs-tools.

Missing libpci needed for lspci.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Tue 27 Mar 2012, 14:17    Post_subject:  

There isnt iwlagn anymore. It has been replaced by iwlwifi. And iwlwifi is not included.
So....iwlwifi is missing is the correct post.
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Tue 27 Mar 2012, 14:25    Post_subject:  

md5sum ok for alpha2
_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
linux28

Joined: 05 Apr 2009
Posts: 179

PostPosted: Wed 28 Mar 2012, 00:18    Post_subject:  

Terryphi wrote:
Latest Flash (11.1.102.63) crashes with a segmentation fault on all browsers tested.

Flash Crying or Very sad
Back to top
View user's profile Send_private_message 
Terryphi


Joined: 02 Jul 2008
Posts: 762
Location: West Wales, Britain.

PostPosted: Wed 28 Mar 2012, 02:58    Post_subject:  

linux28 wrote:
Terryphi wrote:
Latest Flash (11.1.102.63) crashes with a segmentation fault on all browsers tested.

Flash Crying or Very sad


Same problem with latest Flashplayer 11.2.202.228. The problem only occurs with Precise Puppy. Flash works well with Racy and Wary.

_________________
Classic Opera 12.16 browser SFS package for Precise, Slacko, Racy, Wary, Lucid, Quirky, etc available here Smile
Back to top
View user's profile Send_private_message Visit_website 
linux28

Joined: 05 Apr 2009
Posts: 179

PostPosted: Wed 28 Mar 2012, 04:52    Post_subject:  

# gtkhash

(gtkhash:11258): GLib-GIO-ERROR **: No GSettings schemas are installed on the system
Trace/breakpoint trap
#
Crying or Very sad
Back to top
View user's profile Send_private_message 
Terryphi


Joined: 02 Jul 2008
Posts: 762
Location: West Wales, Britain.

PostPosted: Wed 28 Mar 2012, 06:25    Post_subject:  

Posted in error.
_________________
Classic Opera 12.16 browser SFS package for Precise, Slacko, Racy, Wary, Lucid, Quirky, etc available here Smile
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 28 Mar 2012, 08:38    Post_subject: flash dependency  

Flash just wants dependency to be met. This with Firefox 11 with wrapper script to launch firefox:
/usr/bin/firefox --------->script to launch firefox:

#!/bin/sh
/usr/lib/firefox/run-mozilla.sh /usr/lib/firefox/firefox "$@"

Magical juice: libcurl3-gnutls.....maybe librtmp0....suggest to install it also...as posted previously.....Maxerro ?
flash-want-libcurl3-gnutls-librtmp0.jpg
Description 
jpg

 Download 
Filename  flash-want-libcurl3-gnutls-librtmp0.jpg 
Filesize  536.5 KB 
Downloaded  575 Time(s) 
Back to top
View user's profile Send_private_message 
Terryphi


Joined: 02 Jul 2008
Posts: 762
Location: West Wales, Britain.

PostPosted: Wed 28 Mar 2012, 09:40    Post_subject:  

pemasu,

Thanks for the flashplayer fix. All Precise Puppy needs is librtmp0 which can be downloaded from the ubuntu-precise-main repository using Puppy Package Manager.

_________________
Classic Opera 12.16 browser SFS package for Precise, Slacko, Racy, Wary, Lucid, Quirky, etc available here Smile
Back to top
View user's profile Send_private_message Visit_website 
linux28

Joined: 05 Apr 2009
Posts: 179

PostPosted: Wed 28 Mar 2012, 10:33    Post_subject:  

evince,fbreader,gimp
Download a lot dependent on run up
Crying or Very sad
libcairo-gobject2_1.10.2-6.1ubuntu2_i386.deb
libgail-3-0_3.3.20-0ubuntu1_i386.deb
libgrip0_0.3.4-0ubuntu1_i386.deb
liblaunchpad-integration-3.0-1_0.1.54build1_i386.deb
libmtdev1_1.1.0-2ubuntu1_i386.deb
libutouch-evemu1_1.0.8-0ubuntu1_i386.deb
libutouch-frame1_2.2.2-0ubuntu1_i386.deb
libutouch-geis1_2.2.7-0ubuntu2_i386.deb
libutouch-grail1_3.0.3-0ubuntu1_i386.deb
........
All install will not work Crying or Very sad
Back to top
View user's profile Send_private_message 
ferikenagy

Joined: 20 Nov 2006
Posts: 53

PostPosted: Wed 28 Mar 2012, 11:47    Post_subject: fido power-off -> complain after sudo...  

-precise saved with fido (non root) on power-off or reboot stops in terminal mode complaining about not finding 'sudo', and must be restarted with CtrlAltDel.....

-/usr/share/geany/ is empty ! (no C...language highlight, etc)

-makesquasfs is complaing for missing liblzma, after install is ok

I made an wireshark 1.6.5.2-precise.sfs for anybody interested can be download at:
http://www.datafilehost.com/download-289009cf.html
Back to top
View user's profile Send_private_message YIM 
butchydave


Joined: 03 Mar 2012
Posts: 25

PostPosted: Wed 28 Mar 2012, 16:36    Post_subject:
Sub_title: fired up!
 

1. Live cd
2. ACPI=OFF on boot
3.wireless RT-73 Tried SNS, Dougal & then install frisbee, connected!!!
4. Downloaded the missing librtmp0 = flash working!
intel p4 2.40ghz 1500Mz ram


Cruzn the pup--think I'll try netbootin on a usb.
Seems to work pretty good. Lucid is my favorite to date. Saluki is getting sweeter by the day toooooo.
Thank you so much for the Puppies!
Back to top
View user's profile Send_private_message 
linux28

Joined: 05 Apr 2009
Posts: 179

PostPosted: Wed 28 Mar 2012, 21:31    Post_subject: Re: fido power-off -> complain after sudo...  

ferikenagy wrote:
-precise saved with fido (non root) on power-off or reboot stops in terminal mode complaining about not finding 'sudo', and must be restarted with CtrlAltDel.....

-/usr/share/geany/ is empty ! (no C...language highlight, etc)

-makesquasfs is complaing for missing liblzma, after install is ok

I made an wireshark 1.6.5.2-precise.sfs for anybody interested can be download at:
http://www.datafilehost.com/download-289009cf.html

There are other software suitable for precise?
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 59 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 57, 58, 59 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0924s ][ Queries: 13 (0.0117s) ][ GZIP on ]